gdk-sharp 2.12.0.0 Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. GLib.Object An iterator used by for displaying animations by stepping through frames.
- Constructor
  2.12.0.0
  Protected constructor.
- Constructor
  2.12.0.0
  System.Obsolete
  a
  Internal constructor
  This is a constructor used by derivative types of that would have their own GLib.GType assigned to it. This is not typically used by C# code.
- Constructor
  2.12.0.0
  Pointer to the C object.
  Internal constructor

  This is an internal constructor, and should not be used by user code.

- Method
  2.12.0.0
  System.Boolean `` A , pointer to a C time object Possibly advances an animation to a new frame. Chooses the frame based on the start time passed to . A , true if the image may need updating.

  would normally come from g_get_current_time(), and must be greater than or equal to the time passed to , and must increase or remain unchanged each time this method is called. That is, you can't go backward in time; animations only play forward.

  As a shortcut, pass for the current time and g_get_current_time() will be invoked on your behalf. So you only need to explicitly pass if you're doing something odd like playing the animation at double speed.

  If this method returns false, there's no need to update the animation display, assuming the display had been rendered prior to advancing; if true, you need to call and update the display with the new pixbuf.

- Property
  2.12.0.0
  System.Int32 Gets the number of milliseconds the current pixbuf should be displayed, or -1 if the current pixbuf should be displayed forever. A , delay time in milliseconds (thousandths of a second) g_timeout_add() (FIXME: this doesn't seem to be bound) conveniently takes a timeout in milliseconds, so you can use a timeout to schedule the next update.
- Property
  2.12.0.0
  GLib.GType GType Property. a Returns the native value for .
- Method
  2.12.0.0
  System.Boolean Used to determine how to respond to the signal when loading an animation. is emitted for an area of the frame currently streaming into the loader. So if you're on the currently loading frame, you need to redraw the screen for the updated area. A , true if the frame we're on is partially loaded, or the last frame
- Property
  2.12.0.0
  Gdk.Pixbuf Gets the current pixbuf which should be displayed; the pixbuf will be the same size as the animation itself (, ). This pixbuf should be displayed for milliseconds. The caller of this function does not own a reference to the returned pixbuf; the returned pixbuf will become invalid when the iterator advances to the next frame, which may happen anytime you call . Copy the pixbuf to keep it (don't just add a reference), as it may get recycled as you advance the iterator. A